Bug 1478741 - Request for enhancement, fcitx-mozc package for Japanese input
Summary: Request for enhancement, fcitx-mozc package for Japanese input
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozc
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-06 18:41 UTC by Scott Robbins
Modified: 2021-04-13 01:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-07 02:04:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Scott Robbins 2017-08-06 18:41:41 UTC
Description of problem:
Fedora is one of the few distributions that have not yet included an fcitx-mozc package for Japanese input.  There is an fcitx-anthy package that works quite well, but anthy seems to be almost dead.  


There were SuSE rpms that worked on F23, but I haven't been able to get them working on F25 or F26. 

(while at it, it would be great if it could get into EPEL-7 as well, but I'll confine this one to F26, as my request for fcitx-anthy is still in epel-testing.)

Comment 1 Robin Lee 2017-08-07 02:04:56 UTC
This requires a patch to the mozc package. But the maintainer of mozc in Fedora does not want to have this downstream patch. So, it may not be possible to provide fcitx-mozc until the patch merged upstream mozc, or the maintainer changes his mind.

You can install fcitx-mozc from the fdzh repo.
https://github.com/FZUG/repo/wiki/Add-FZUG-Repository

Comment 2 Scott Robbins 2017-08-07 12:18:50 UTC
Not trying to reopen, but just a note for people who may come across this in a google search. The FZUG repo mentioned doesn't seem to have fcitx-mozc for F26 (or earlier versions).

Thanks for the explanation.

Comment 3 Scott Robbins 2021-04-13 01:10:59 UTC
Well, there is, in Fedora 34, a package, fcitx5-mozc. (Note the 5, some of the input choices, e.g., anthy, are available both as fcitx-anthy and fcitx5-anthy). So though this was closed as won't fix, in case someone hits it in a web search, this issue has been fixed.


Note You need to log in before you can comment on or make changes to this bug.